Re: Installation problem: ./configure



EJG wrote:
On Debian Linux, kernel linux-image-2.6.15-1-486,
after I donload the file: openssh-4.3p2.tar.gz, untar
this and then execute ./configure
After some lines, the proccess stop with this msg: ....
checking for library containing basename... none
required
checking for deflate in -lz... no
configure: error: *** zlib missing - please install
first or check config.log ***

I installed zlib package, with apt-get install, but
dont solve the problem.

I suspect you only installed the zlib runtime, if so you also need the zlib development package (probably "zlib1g-dev", depending on you version on Debian).

Similarly, you will also need the "libssl-dev" package for OpenSSL if you don't have it already.

--
Darren Tucker (dtucker at zip.com.au)
GPG key 8FF4FA69 / D9A3 86E9 7EEE AF4B B2D4 37C9 C982 80C7 8FF4 FA69
Good judgement comes with experience. Unfortunately, the experience
usually comes from bad judgement.



Relevant Pages

  • Gems zlib problem
    ... I cannot get Ruby gems working due to lack of zlib. ... I am on Ubunutu Warty and have tried installing every package under the ... I can't install ...
    (comp.lang.ruby)
  • Re: Can Delphi 7 and D2006 Peacefully Co-Exist on the same machine
    ... is with the package containing Zlib, or the package I'm trying to install, ... ZLib, or the package that ZLib is contained in. ... I actually have different componet directories for D7 and D2006, ...
    (borland.public.delphi.non-technical)
  • Re: problem starting ssh version 3.1 on Solaris 2.6
    ... > I did have zlib1.1.4 installed from the sun freeware site. ... >> It seems the package does not include zlib. ... Get and install the package from ...
    (comp.security.ssh)
  • Re: prngd usage on OpenSsh4.3p2
    ... that is running AIX 4.2 that we have to install ssh on. ... package that I can download to install it like Sun has? ... There's also a couple of alternative sources of packages listed on the page but I doubt either will have a recent OpenSSH for a version of ... Good judgement comes with experience. ...
    (SSH)
  • Re: problem starting ssh version 3.1 on Solaris 2.6
    ... I did have zlib1.1.4 installed from the sun freeware site. ... > It seems the package does not include zlib. ... Get and install the package from ...
    (comp.security.ssh)